Name: sweets-redland
Version: 1.0.15
Epoch: 1
Release: 4.2
Group: Development/Tools/Other
Summary: High-level interface for the Resource Description Framework
License: ASL 2.0; GPLv2; LGPLv2
Url: http://librdf.org/

Source: redland-1.0.15.tar.gz
Source1: sweet.tar.gz



Requires: libdb
Requires: libtool
Requires: libxml2
Requires: sweets-raptor
Requires: sweets-rasqal
BuildRequires: libdb-devel
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: sweets-raptor
BuildRequires: sweets-rasqal
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
High-level interface for the Resource Description Framework

%prep
%setup -n redland-1.0.15

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/rasqal/binding && . /opt/sweets/rasqal/binding; test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; ./configure --disable-modular --disable-static --without-threads --with-postgresql=no --with-virtuoso=no --with-mysql=no --with-sqlite=no --with-bdb --prefix=/opt/sweets/redland CFLAGS="${CFLAGS}"
test -e /opt/sweets/rasqal/binding && . /opt/sweets/rasqal/binding; test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post


test -e /opt/sweets/rasqal/binding && . /opt/sweets/rasqal/binding; test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/redland '' '' > sweets-redland.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/redland/sweets.recipe >> sweets-redland.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/redland '' '' >> sweets-redland.files
rm -rf %{buildroot}/.dest

%post


%preun


%clean
rm -rf %{buildroot}

%files -f sweets-redland.files

%changelog
